<?php
/*
Plugin Name: Dokan Auto Seller
Plugin URI: https://wordpress.org/plugins/dokan-auto-seller
Description: Active seller for all subscriber or customer
Version: 1.0.0.3
Author: MohammadJafar Khajeh
Author URI: https://mjkhajeh.ir
Text Domain: MJDAS
Domain Path: /languages
*/
namespace MJDAS;

if( !defined( 'ABSPATH' ) ) exit;

class Init {
	/**
	 * Creates or returns an instance of this class.
	 *
	 * @return	A single instance of this class.
	 */
	public static function get_instance() {
		static $instance = null;
		if( $instance === null ) {
			$instance = new self;
		}
		return $instance;
	}
	
	private function __construct() {
		add_action( 'plugins_loaded', array( $this, 'check_user_role' ) );
		add_action( 'plugins_loaded', array( $this, 'enable_selling' ) );
	}

	public function check_user_role() {
		if( !is_user_logged_in() ) return;

		// Set or add user role
		$user = wp_get_current_user();
		$user_roles = $user->roles;
		if( in_array( 'subscriber', $user_roles ) || in_array( 'customer', $user_roles ) ) {
			$user->set_role( 'seller' );
			return true;
		}
		if( !in_array( 'seller', $user_roles ) ) {
			$user->add_role( 'seller' );
			return true;
		}
	}

	public function enable_selling() {
		if( !is_user_logged_in() ) return;

		// Enable selling for user
		$user = wp_get_current_user();
		if( get_user_meta( $user->ID, 'dokan_enable_selling', true ) != 'yes' ) {
			update_user_meta( $user->ID, 'dokan_enable_selling', 'yes' );
		}
	}
}
Init::get_instance();